Package jaxe

# Class VerifTypeSimple

java.lang.Object
jaxe.VerifTypeSimple

@Deprecated public class VerifTypeSimple extends Object
Deprecated.
Classe permettant de vérifier la validité d'un type simple (= simpleType dans les schémas XML)

## Constructor Summary

Constructors
Constructor
Description
`VerifTypeSimple(Config cfg, Element snodedef)`
Deprecated.
remplacé par jaxe.Config.valeurElementValide() et jaxe.Config.attributValide()

## Method Summary

Modifier and Type
Method
Description
`boolean`
`estValide(String valeur)`
Deprecated.
Renvoit true si la valeur est valide par rapport à la définition du type simple.
`String`
`getBaseType()`
Deprecated.
Renvoit le type de base (sans préciser les éventuelles restrictions).
`ArrayList<String>`
`getEnumeration()`
Deprecated.
Renvoit la liste de valeurs possibles, ou null s'il n'y en a pas.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VerifTypeSimple

@Deprecated public VerifTypeSimple(Config cfg, Element snodedef)
Deprecated.
remplacé par jaxe.Config.valeurElementValide() et jaxe.Config.attributValide()
Constructeur prenant en paramètre la config et un élément "element" ou "attribute" d'un schéma W3C

## Method Details

### getBaseType

public String getBaseType()
Deprecated.
Renvoit le type de base (sans préciser les éventuelles restrictions).

### getEnumeration

public ArrayList<String> getEnumeration()
Deprecated.
Renvoit la liste de valeurs possibles, ou null s'il n'y en a pas.

### estValide

public boolean estValide(String valeur)
Deprecated.
Renvoit true si la valeur est valide par rapport à la définition du type simple.